package com.google.android.gms.auth.api.signin.internal;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.text.TextUtils;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.auth.api.signin.GoogleSignInOptions;
import com.google.android.gms.common.internal.zzbq;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import org.json.JSONException;

public final class zzaa
{
  private static final Lock zzeok = new ReentrantLock();
  private static zzaa zzeol;
  private final Lock zzeom = new ReentrantLock();
  private final SharedPreferences zzeon;
  
  public static zzaa zzbs(Context paramContext)
  {
    zzbq.checkNotNull(paramContext);
    zzeok.lock();
    try
    {
      if (zzeol == null) {
        zzeol = new zzaa(paramContext.getApplicationContext());
      }
      zzaa localzzaa = zzeol;
      return localzzaa;
    }
    finally
    {
      zzeok.unlock();
    }
  }
  
  private zzaa(Context paramContext)
  {
    this.zzeon = paramContext.getSharedPreferences("com.google.android.gms.signin", 0);
  }
  
  final void zza(GoogleSignInAccount paramGoogleSignInAccount, GoogleSignInOptions paramGoogleSignInOptions)
  {
    zzbq.checkNotNull(paramGoogleSignInAccount);
    zzbq.checkNotNull(paramGoogleSignInOptions);
    String str = paramGoogleSignInAccount.zzace();
    zzo(zzp("googleSignInAccount", str), paramGoogleSignInAccount.zzacg());
    zzo(zzp("googleSignInOptions", str), paramGoogleSignInOptions.zzack());
  }
  
  protected final void zzo(String paramString1, String paramString2)
  {
    this.zzeom.lock();
    try
    {
      this.zzeon.edit().putString(paramString1, paramString2).apply();
      return;
    }
    finally
    {
      this.zzeom.unlock();
    }
  }
  
  public final GoogleSignInAccount zzacx()
  {
    String str = zzfg("defaultGoogleSignInAccount");
    return zzfe(str);
  }
  
  private final GoogleSignInAccount zzfe(String paramString)
  {
    if (TextUtils.isEmpty(paramString)) {
      return null;
    }
    String str = zzfg(zzp("googleSignInAccount", paramString));
    try
    {
      if (str != null) {
        return GoogleSignInAccount.zzfa(str);
      }
      return null;
    }
    catch (JSONException localJSONException) {}
    return null;
  }
  
  public final GoogleSignInOptions zzacy()
  {
    String str = zzfg("defaultGoogleSignInAccount");
    return zzff(str);
  }
  
  private final GoogleSignInOptions zzff(String paramString)
  {
    if (TextUtils.isEmpty(paramString)) {
      return null;
    }
    String str = zzfg(zzp("googleSignInOptions", paramString));
    try
    {
      if (str != null) {
        return GoogleSignInOptions.zzfb(str);
      }
      return null;
    }
    catch (JSONException localJSONException) {}
    return null;
  }
  
  protected final String zzfg(String paramString)
  {
    this.zzeom.lock();
    try
    {
      String str = this.zzeon.getString(paramString, null);
      return str;
    }
    finally
    {
      this.zzeom.unlock();
    }
  }
  
  public final void zzacz()
  {
    String str1 = zzfg("defaultGoogleSignInAccount");
    zzfh("defaultGoogleSignInAccount");
    String str2 = str1;
    zzaa localzzaa = this;
    if (!TextUtils.isEmpty(str2))
    {
      localzzaa.zzfh(zzp("googleSignInAccount", str2));
      localzzaa.zzfh(zzp("googleSignInOptions", str2));
    }
  }
  
  private final void zzfh(String paramString)
  {
    this.zzeom.lock();
    try
    {
      this.zzeon.edit().remove(paramString).apply();
      return;
    }
    finally
    {
      this.zzeom.unlock();
    }
  }
  
  public final void clear()
  {
    this.zzeom.lock();
    try
    {
      this.zzeon.edit().clear().apply();
      return;
    }
    finally
    {
      this.zzeom.unlock();
    }
  }
  
  private static String zzp(String paramString1, String paramString2)
  {
    return 1 + String.valueOf(paramString1).length() + String.valueOf(paramString2).length() + paramString1 + ":" + paramString2;
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\auth\api\signin\internal\zzaa.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */