package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Looper;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.util.ArrayMap;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Api;
import com.google.android.gms.common.api.Api.zza;
import com.google.android.gms.common.api.Api.zzb;
import com.google.android.gms.common.api.Api.zzc;
import com.google.android.gms.common.api.Api.zzd;
import com.google.android.gms.common.api.Api.zze;
import com.google.android.gms.common.api.GoogleApi;
import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.internal.zzr;
import com.google.android.gms.common.zzf;
import com.google.android.gms.internal.zzbic;
import com.google.android.gms.internal.zzcyj;
import com.google.android.gms.internal.zzcyk;
import com.google.android.gms.tasks.Task;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;

public final class zzaa
  implements zzcc
{
  private final Map<Api.zzc<?>, zzz<?>> zzfwg = new HashMap();
  private final Map<Api.zzc<?>, zzz<?>> zzfwh = new HashMap();
  private final Map<Api<?>, Boolean> zzfwi;
  private final zzbm zzfsq;
  private final zzba zzfwj;
  private final Lock zzfwa;
  private final Looper zzalj;
  private final zzf zzfwk;
  private final Condition zzfwl;
  private final zzr zzfwf;
  private final boolean zzfwm;
  private final boolean zzfwn;
  private final Queue<zzm<?, ?>> zzfwo = new LinkedList();
  private boolean zzfwp;
  private Map<zzh<?>, ConnectionResult> zzfwq;
  private Map<zzh<?>, ConnectionResult> zzfwr;
  private zzad zzfws;
  private ConnectionResult zzfwt;
  
  public zzaa(Context paramContext, Lock paramLock, Looper paramLooper, zzf paramzzf, Map<Api.zzc<?>, Api.zze> paramMap, zzr paramzzr, Map<Api<?>, Boolean> paramMap1, Api.zza<? extends zzcyj, zzcyk> paramzza, ArrayList<zzt> paramArrayList, zzba paramzzba, boolean paramBoolean)
  {
    this.zzfwa = paramLock;
    this.zzalj = paramLooper;
    this.zzfwl = paramLock.newCondition();
    this.zzfwk = paramzzf;
    this.zzfwj = paramzzba;
    this.zzfwi = paramMap1;
    this.zzfwf = paramzzr;
    this.zzfwm = paramBoolean;
    HashMap localHashMap = new HashMap();
    Object localObject = paramMap1.keySet().iterator();
    while (((Iterator)localObject).hasNext())
    {
      Api localApi1 = (Api)((Iterator)localObject).next();
      localHashMap.put(localApi1.zzahm(), localApi1);
    }
    localObject = new HashMap();
    ArrayList localArrayList;
    int m = (localArrayList = (ArrayList)paramArrayList).size();
    int n = 0;
    zzt localzzt1 = (zzt)???++;
    ((Map)localObject).put(localzzt1.zzfop, localzzt1);
    int i = 0;
    int j = 1;
    int k = 0;
    Iterator localIterator = paramMap.entrySet().iterator();
    while (localIterator.hasNext())
    {
      Map.Entry localEntry = (Map.Entry)localIterator.next();
      Api localApi2 = (Api)localHashMap.get(localEntry.getKey());
      Api.zze localzze;
      if ((localzze = (Api.zze)localEntry.getValue()).zzahn())
      {
        k = 1;
        if (!((Boolean)this.zzfwi.get(localApi2)).booleanValue()) {
          i = 1;
        }
      }
      else
      {
        j = 0;
      }
      zzt localzzt2 = (zzt)((Map)localObject).get(localApi2);
      zzz localzzz = new zzz(paramContext, localApi2, paramLooper, localzze, localzzt2, paramzzr, paramzza);
      this.zzfwg.put((Api.zzc)localEntry.getKey(), localzzz);
      if (localzze.zzacc()) {
        this.zzfwh.put((Api.zzc)localEntry.getKey(), localzzz);
      }
    }
    this.zzfwn = ((k != 0) && (j == 0) && (i == 0));
    this.zzfsq = zzbm.zzajy();
  }
  
  public final <A extends Api.zzb, R extends Result, T extends zzm<R, A>> T zzd(@NonNull T paramT)
  {
    if ((this.zzfwm) && (zzg(paramT))) {
      return paramT;
    }
    if (!isConnected())
    {
      this.zzfwo.add(paramT);
      return paramT;
    }
    this.zzfwj.zzfyp.zzb(paramT);
    return ((zzz)this.zzfwg.get(paramT.zzahm())).zza(paramT);
  }
  
  public final <A extends Api.zzb, T extends zzm<? extends Result, A>> T zze(@NonNull T paramT)
  {
    Api.zzc localzzc = paramT.zzahm();
    if ((this.zzfwm) && (zzg(paramT))) {
      return paramT;
    }
    this.zzfwj.zzfyp.zzb(paramT);
    return ((zzz)this.zzfwg.get(localzzc)).zzb(paramT);
  }
  
  private final <T extends zzm<? extends Result, ? extends Api.zzb>> boolean zzg(@NonNull T paramT)
  {
    Api.zzc localzzc = paramT.zzahm();
    ConnectionResult localConnectionResult;
    if (((localConnectionResult = zzb(localzzc)) != null) && (localConnectionResult.getErrorCode() == 4))
    {
      paramT.zzu(new Status(4, null, this.zzfsq.zza(((zzz)this.zzfwg.get(localzzc)).zzahv(), System.identityHashCode(this.zzfwj))));
      return true;
    }
    return false;
  }
  
  public final void connect()
  {
    this.zzfwa.lock();
    try
    {
      if (this.zzfwp) {
        return;
      }
      this.zzfwp = true;
      this.zzfwq = null;
      this.zzfwr = null;
      this.zzfws = null;
      this.zzfwt = null;
      this.zzfsq.zzaih();
      this.zzfsq.zza(this.zzfwg.values()).addOnCompleteListener(new zzbic(this.zzalj), new zzac(this, null));
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final ConnectionResult blockingConnect()
  {
    connect();
    while (isConnecting()) {
      try
      {
        this.zzfwl.await();
      }
      catch (InterruptedException localInterruptedException)
      {
        Thread.currentThread().interrupt();
        return new ConnectionResult(15, null);
      }
    }
    if (isConnected()) {
      return ConnectionResult.zzfqt;
    }
    if (this.zzfwt != null) {
      return this.zzfwt;
    }
    return new ConnectionResult(13, null);
  }
  
  public final ConnectionResult blockingConnect(long paramLong, TimeUnit paramTimeUnit)
  {
    connect();
    long l = paramTimeUnit.toNanos(paramLong);
    while (isConnecting()) {
      try
      {
        if (l <= 0L)
        {
          disconnect();
          return new ConnectionResult(14, null);
        }
        l = this.zzfwl.awaitNanos(l);
      }
      catch (InterruptedException localInterruptedException)
      {
        Thread.currentThread().interrupt();
        return new ConnectionResult(15, null);
      }
    }
    if (isConnected()) {
      return ConnectionResult.zzfqt;
    }
    if (this.zzfwt != null) {
      return this.zzfwt;
    }
    return new ConnectionResult(13, null);
  }
  
  public final void disconnect()
  {
    this.zzfwa.lock();
    try
    {
      this.zzfwp = false;
      this.zzfwq = null;
      this.zzfwr = null;
      if (this.zzfws != null)
      {
        this.zzfws.cancel();
        this.zzfws = null;
      }
      this.zzfwt = null;
      while (!this.zzfwo.isEmpty())
      {
        zzm localzzm;
        (localzzm = (zzm)this.zzfwo.remove()).zza(null);
        localzzm.cancel();
      }
      this.zzfwl.signalAll();
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  @Nullable
  public final ConnectionResult getConnectionResult(@NonNull Api<?> paramApi)
  {
    return zzb(paramApi.zzahm());
  }
  
  @Nullable
  private final ConnectionResult zzb(@NonNull Api.zzc<?> paramzzc)
  {
    this.zzfwa.lock();
    try
    {
      zzz localzzz = (zzz)this.zzfwg.get(paramzzc);
      if ((this.zzfwq != null) && (localzzz != null))
      {
        ConnectionResult localConnectionResult = (ConnectionResult)this.zzfwq.get(localzzz.zzahv());
        return localConnectionResult;
      }
      return null;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final boolean isConnected()
  {
    this.zzfwa.lock();
    try
    {
      boolean bool = (this.zzfwq != null) && (this.zzfwt == null);
      return bool;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final boolean isConnecting()
  {
    this.zzfwa.lock();
    try
    {
      boolean bool = (this.zzfwq == null) && (this.zzfwp);
      return bool;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  private final boolean zzaiy()
  {
    this.zzfwa.lock();
    try
    {
      if ((!this.zzfwp) || (!this.zzfwm)) {
        return false;
      }
      Iterator localIterator = this.zzfwh.keySet().iterator();
      while (localIterator.hasNext())
      {
        Api.zzc localzzc = (Api.zzc)localIterator.next();
        ConnectionResult localConnectionResult;
        if (((localConnectionResult = zzb(localzzc)) == null) || (!localConnectionResult.isSuccess())) {
          return false;
        }
      }
      return true;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final boolean zza(zzcu paramzzcu)
  {
    this.zzfwa.lock();
    try
    {
      if ((this.zzfwp) && (!zzaiy()))
      {
        this.zzfsq.zzaih();
        this.zzfws = new zzad(this, paramzzcu);
        this.zzfsq.zza(this.zzfwh.values()).addOnCompleteListener(new zzbic(this.zzalj), this.zzfws);
        return true;
      }
      return false;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void zzaia()
  {
    this.zzfwa.lock();
    try
    {
      this.zzfsq.zzaia();
      if (this.zzfws != null)
      {
        this.zzfws.cancel();
        this.zzfws = null;
      }
      if (this.zzfwr == null) {
        this.zzfwr = new ArrayMap(this.zzfwh.size());
      }
      ConnectionResult localConnectionResult = new ConnectionResult(4);
      Iterator localIterator = this.zzfwh.values().iterator();
      while (localIterator.hasNext())
      {
        zzz localzzz = (zzz)localIterator.next();
        this.zzfwr.put(localzzz.zzahv(), localConnectionResult);
      }
      if (this.zzfwq != null) {
        this.zzfwq.putAll(this.zzfwr);
      }
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void dump(String paramString, FileDescriptor paramFileDescriptor, PrintWriter paramPrintWriter, String[] paramArrayOfString) {}
  
  public final void zzais() {}
  
  private final void zzaiz()
  {
    if (this.zzfwf == null)
    {
      this.zzfwj.zzfyk = Collections.emptySet();
      return;
    }
    HashSet localHashSet = new HashSet(this.zzfwf.zzamf());
    Map localMap;
    Iterator localIterator = (localMap = this.zzfwf.zzamh()).keySet().iterator();
    while (localIterator.hasNext())
    {
      Api localApi = (Api)localIterator.next();
      ConnectionResult localConnectionResult;
      if (((localConnectionResult = getConnectionResult(localApi)) != null) && (localConnectionResult.isSuccess())) {
        localHashSet.addAll(((com.google.android.gms.common.internal.zzt)localMap.get(localApi)).zzenh);
      }
    }
    this.zzfwj.zzfyk = localHashSet;
  }
  
  private final void zzaja()
  {
    while (!this.zzfwo.isEmpty()) {
      zze((zzm)this.zzfwo.remove());
    }
    this.zzfwj.zzk(null);
  }
  
  private final boolean zza(zzz<?> paramzzz, ConnectionResult paramConnectionResult)
  {
    return (!paramConnectionResult.isSuccess()) && (!paramConnectionResult.hasResolution()) && (((Boolean)this.zzfwi.get(paramzzz.zzaht())).booleanValue()) && (paramzzz.zzaix().zzahn()) && (this.zzfwk.isUserResolvableError(paramConnectionResult.getErrorCode()));
  }
  
  @Nullable
  private final ConnectionResult zzajb()
  {
    Object localObject1 = null;
    int i = 0;
    Object localObject2 = null;
    int j = 0;
    Iterator localIterator = this.zzfwg.values().iterator();
    while (localIterator.hasNext())
    {
      zzz localzzz;
      Api localApi = (localzzz = (zzz)localIterator.next()).zzaht();
      zzh localzzh = localzzz.zzahv();
      ConnectionResult localConnectionResult;
      if ((!(localConnectionResult = (ConnectionResult)this.zzfwq.get(localzzh)).isSuccess()) && ((!((Boolean)this.zzfwi.get(localApi)).booleanValue()) || (localConnectionResult.hasResolution()) || (this.zzfwk.isUserResolvableError(localConnectionResult.getErrorCode()))))
      {
        int k;
        if ((localConnectionResult.getErrorCode() == 4) && (this.zzfwm))
        {
          k = localApi.zzahk().getPriority();
          if ((localObject2 == null) || (j > k))
          {
            localObject2 = localConnectionResult;
            j = k;
          }
        }
        else
        {
          k = localApi.zzahk().getPriority();
          if ((localObject1 == null) || (i > k))
          {
            localObject1 = localConnectionResult;
            i = k;
          }
        }
      }
    }
    if ((localObject1 != null) && (localObject2 != null) && (i > j)) {
      return (ConnectionResult)localObject2;
    }
    return (ConnectionResult)localObject1;
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzaa.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */