package com.google.android.gms.common.internal;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.util.SimpleArrayMap;
import android.text.TextUtils;
import android.util.Log;
import com.google.android.gms.R.string;
import com.google.android.gms.common.util.zzj;
import com.google.android.gms.internal.zzbig;
import com.google.android.gms.internal.zzbih;

public final class zzu
{
  private static final SimpleArrayMap<String, String> zzgfv = new SimpleArrayMap();
  
  @Nullable
  public static String zzf(Context paramContext, int paramInt)
  {
    Resources localResources = paramContext.getResources();
    switch (paramInt)
    {
    case 4: 
    case 6: 
    case 18: 
      return null;
    case 1: 
      return localResources.getString(R.string.common_google_play_services_install_title);
    case 3: 
      return localResources.getString(R.string.common_google_play_services_enable_title);
    case 2: 
      return localResources.getString(R.string.common_google_play_services_update_title);
    case 9: 
      Log.e("GoogleApiAvailability", "Google Play services is invalid. Cannot recover.");
      return null;
    case 7: 
      Log.e("GoogleApiAvailability", "Network error occurred. Please retry request later.");
      return zzs(paramContext, "common_google_play_services_network_error_title");
    case 8: 
      Log.e("GoogleApiAvailability", "Internal error occurred. Please see logs for detailed information");
      return null;
    case 10: 
      Log.e("GoogleApiAvailability", "Developer error occurred. Please see logs for detailed information");
      return null;
    case 5: 
      Log.e("GoogleApiAvailability", "An invalid account was specified when connecting. Please provide a valid account.");
      return zzs(paramContext, "common_google_play_services_invalid_account_title");
    case 11: 
      Log.e("GoogleApiAvailability", "The application is not licensed to the user.");
      return null;
    case 16: 
      Log.e("GoogleApiAvailability", "One of the API components you attempted to connect to is not available.");
      return null;
    case 17: 
      Log.e("GoogleApiAvailability", "The specified account could not be signed in.");
      return zzs(paramContext, "common_google_play_services_sign_in_failed_title");
    case 20: 
      Log.e("GoogleApiAvailability", "The current user profile is restricted and could not use authenticated features.");
      return zzs(paramContext, "common_google_play_services_restricted_profile_title");
    }
    Log.e("GoogleApiAvailability", 33 + "Unexpected error code " + paramInt);
    return null;
  }
  
  @NonNull
  public static String zzg(Context paramContext, int paramInt)
  {
    String str;
    if (paramInt == 6) {
      str = zzs(paramContext, "common_google_play_services_resolution_required_title");
    } else {
      str = zzf(paramContext, paramInt);
    }
    if (str == null) {
      str = paramContext.getResources().getString(R.string.common_google_play_services_notification_ticker);
    }
    return str;
  }
  
  @NonNull
  public static String zzh(Context paramContext, int paramInt)
  {
    Resources localResources = paramContext.getResources();
    String str = zzcn(paramContext);
    switch (paramInt)
    {
    case 1: 
      return localResources.getString(R.string.common_google_play_services_install_text, new Object[] { str });
    case 3: 
      return localResources.getString(R.string.common_google_play_services_enable_text, new Object[] { str });
    case 18: 
      return localResources.getString(R.string.common_google_play_services_updating_text, new Object[] { str });
    case 2: 
      if (zzj.zzcv(paramContext)) {
        return localResources.getString(R.string.common_google_play_services_wear_update_text);
      }
      return localResources.getString(R.string.common_google_play_services_update_text, new Object[] { str });
    case 9: 
      return localResources.getString(R.string.common_google_play_services_unsupported_text, new Object[] { str });
    case 7: 
      return zzl(paramContext, "common_google_play_services_network_error_text", str);
    case 5: 
      return zzl(paramContext, "common_google_play_services_invalid_account_text", str);
    case 16: 
      return zzl(paramContext, "common_google_play_services_api_unavailable_text", str);
    case 17: 
      return zzl(paramContext, "common_google_play_services_sign_in_failed_text", str);
    case 20: 
      return zzl(paramContext, "common_google_play_services_restricted_profile_text", str);
    }
    return localResources.getString(R.string.common_google_play_services_unknown_issue, new Object[] { str });
  }
  
  @NonNull
  public static String zzi(Context paramContext, int paramInt)
  {
    if (paramInt == 6) {
      return zzl(paramContext, "common_google_play_services_resolution_required_text", zzcn(paramContext));
    }
    return zzh(paramContext, paramInt);
  }
  
  @NonNull
  public static String zzj(Context paramContext, int paramInt)
  {
    Resources localResources = paramContext.getResources();
    switch (paramInt)
    {
    case 1: 
      return localResources.getString(R.string.common_google_play_services_install_button);
    case 3: 
      return localResources.getString(R.string.common_google_play_services_enable_button);
    case 2: 
      return localResources.getString(R.string.common_google_play_services_update_button);
    }
    return localResources.getString(17039370);
  }
  
  private static String zzcn(Context paramContext)
  {
    String str1 = paramContext.getPackageName();
    try
    {
      return zzbih.zzdd(paramContext).zzhc(str1).toString();
    }
    catch (PackageManager.NameNotFoundException|NullPointerException localNameNotFoundException)
    {
      String str2;
      if (TextUtils.isEmpty(str2 = paramContext.getApplicationInfo().name)) {
        return str1;
      }
      return str2;
    }
  }
  
  private static String zzl(Context paramContext, String paramString1, String paramString2)
  {
    Resources localResources = paramContext.getResources();
    String str;
    if ((str = zzs(paramContext, paramString1)) == null) {
      str = localResources.getString(R.string.common_google_play_services_unknown_issue);
    }
    return String.format(localResources.getConfiguration().locale, str, new Object[] { paramString2 });
  }
  
  /* Error */
  @Nullable
  private static String zzs(Context arg0, String arg1)
  {
    // Byte code:
    //   0: getstatic 70	com/google/android/gms/common/internal/zzu:zzgfv	Landroid/support/v4/util/SimpleArrayMap;
    //   3: dup
    //   4: astore_2
    //   5: monitorenter
    //   6: getstatic 70	com/google/android/gms/common/internal/zzu:zzgfv	Landroid/support/v4/util/SimpleArrayMap;
    //   9: aload_1
    //   10: invokevirtual 79	android/support/v4/util/SimpleArrayMap:get	(Ljava/lang/Object;)Ljava/lang/Object;
    //   13: checkcast 50	java/lang/String
    //   16: dup
    //   17: astore_3
    //   18: ifnull +7 -> 25
    //   21: aload_3
    //   22: aload_2
    //   23: monitorexit
    //   24: areturn
    //   25: aload_0
    //   26: invokestatic 84	com/google/android/gms/common/GooglePlayServicesUtil:getRemoteResource	(Landroid/content/Context;)Landroid/content/res/Resources;
    //   29: dup
    //   30: astore 4
    //   32: ifnonnull +7 -> 39
    //   35: aconst_null
    //   36: aload_2
    //   37: monitorexit
    //   38: areturn
    //   39: aload 4
    //   41: aload_1
    //   42: ldc 27
    //   44: ldc 15
    //   46: invokevirtual 75	android/content/res/Resources:getIdentifier	(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)I
    //   49: dup
    //   50: istore 5
    //   52: ifne +41 -> 93
    //   55: ldc 5
    //   57: ldc 8
    //   59: aload_1
    //   60: invokestatic 97	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   63: dup
    //   64: invokevirtual 96	java/lang/String:length	()I
    //   67: ifeq +9 -> 76
    //   70: invokevirtual 94	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   73: goto +12 -> 85
    //   76: pop
    //   77: new 50	java/lang/String
    //   80: dup_x1
    //   81: swap
    //   82: invokespecial 93	java/lang/String:<init>	(Ljava/lang/String;)V
    //   85: invokestatic 83	android/util/Log:w	(Ljava/lang/String;Ljava/lang/String;)I
    //   88: pop
    //   89: aconst_null
    //   90: aload_2
    //   91: monitorexit
    //   92: areturn
    //   93: aload 4
    //   95: iload 5
    //   97: invokevirtual 76	android/content/res/Resources:getString	(I)Ljava/lang/String;
    //   100: dup
    //   101: astore_3
    //   102: invokestatic 81	android/text/TextUtils:isEmpty	(Ljava/lang/CharSequence;)Z
    //   105: ifeq +41 -> 146
    //   108: ldc 5
    //   110: ldc 6
    //   112: aload_1
    //   113: invokestatic 97	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   116: dup
    //   117: invokevirtual 96	java/lang/String:length	()I
    //   120: ifeq +9 -> 129
    //   123: invokevirtual 94	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   126: goto +12 -> 138
    //   129: pop
    //   130: new 50	java/lang/String
    //   133: dup_x1
    //   134: swap
    //   135: invokespecial 93	java/lang/String:<init>	(Ljava/lang/String;)V
    //   138: invokestatic 83	android/util/Log:w	(Ljava/lang/String;Ljava/lang/String;)I
    //   141: pop
    //   142: aconst_null
    //   143: aload_2
    //   144: monitorexit
    //   145: areturn
    //   146: getstatic 70	com/google/android/gms/common/internal/zzu:zzgfv	Landroid/support/v4/util/SimpleArrayMap;
    //   149: aload_1
    //   150: aload_3
    //   151: invokevirtual 80	android/support/v4/util/SimpleArrayMap:put	(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
    //   154: pop
    //   155: aload_3
    //   156: aload_2
    //   157: monitorexit
    //   158: areturn
    //   159: astore 6
    //   161: aload_2
    //   162: monitorexit
    //   163: aload 6
    //   165: athrow
    // Exception table:
    //   from	to	target	type
    //   6	24	159	finally
    //   25	38	159	finally
    //   39	92	159	finally
    //   93	145	159	finally
    //   146	158	159	finally
    //   159	163	159	finally
  }
  
  public static String zzco(Context paramContext)
  {
    return paramContext.getResources().getString(R.string.common_google_play_services_notification_channel_name);
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\internal\zzu.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */