package com.google.android.gms.dynamic;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.FrameLayout.LayoutParams;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.google.android.gms.common.GoogleApiAvailability;
import com.google.android.gms.common.internal.Hide;
import com.google.android.gms.common.internal.zzu;
import java.util.LinkedList;

@Hide
public abstract class zza<T extends LifecycleDelegate>
{
  private T zzhcp;
  private Bundle zzhcq;
  private LinkedList<zzi> zzhcr;
  private final zzo<T> zzhcs = new zzb(this);
  
  public final T zzarg()
  {
    return this.zzhcp;
  }
  
  private final void zzcz(int paramInt)
  {
    while ((!this.zzhcr.isEmpty()) && (((zzi)this.zzhcr.getLast()).getState() >= paramInt)) {
      this.zzhcr.removeLast();
    }
  }
  
  private final void zza(Bundle paramBundle, zzi paramzzi)
  {
    if (this.zzhcp != null)
    {
      paramzzi.zzb(this.zzhcp);
      return;
    }
    if (this.zzhcr == null) {
      this.zzhcr = new LinkedList();
    }
    this.zzhcr.add(paramzzi);
    if (paramBundle != null) {
      if (this.zzhcq == null) {
        this.zzhcq = ((Bundle)paramBundle.clone());
      } else {
        this.zzhcq.putAll(paramBundle);
      }
    }
    zza(this.zzhcs);
  }
  
  protected abstract void zza(zzo<T> paramzzo);
  
  public final void onInflate(Activity paramActivity, Bundle paramBundle1, Bundle paramBundle2)
  {
    zza(paramBundle2, new zzc(this, paramActivity, paramBundle1, paramBundle2));
  }
  
  public final void onCreate(Bundle paramBundle)
  {
    zza(paramBundle, new zzd(this, paramBundle));
  }
  
  public final View onCreateView(LayoutInflater paramLayoutInflater, ViewGroup paramViewGroup, Bundle paramBundle)
  {
    FrameLayout localFrameLayout = new FrameLayout(paramLayoutInflater.getContext());
    zza(paramBundle, new zze(this, localFrameLayout, paramLayoutInflater, paramViewGroup, paramBundle));
    if (this.zzhcp == null) {
      zza(localFrameLayout);
    }
    return localFrameLayout;
  }
  
  protected void zza(FrameLayout paramFrameLayout)
  {
    GoogleApiAvailability localGoogleApiAvailability = GoogleApiAvailability.getInstance();
    FrameLayout localFrameLayout;
    Context localContext = (localFrameLayout = paramFrameLayout).getContext();
    int i = localGoogleApiAvailability.isGooglePlayServicesAvailable(localContext);
    String str1 = zzu.zzh(localContext, i);
    String str2 = zzu.zzj(localContext, i);
    LinearLayout localLinearLayout;
    (localLinearLayout = new LinearLayout(localFrameLayout.getContext())).setOrientation(1);
    localLinearLayout.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
    localFrameLayout.addView(localLinearLayout);
    TextView localTextView;
    (localTextView = new TextView(localFrameLayout.getContext())).setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
    localTextView.setText(str1);
    localLinearLayout.addView(localTextView);
    Intent localIntent;
    if ((localIntent = com.google.android.gms.common.zzf.zza(localContext, i, null)) != null)
    {
      Button localButton;
      (localButton = new Button(localContext)).setId(16908313);
      localButton.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
      localButton.setText(str2);
      localLinearLayout.addView(localButton);
      localButton.setOnClickListener(new zzf(localContext, localIntent));
    }
  }
  
  public static void zzb(FrameLayout paramFrameLayout)
  {
    GoogleApiAvailability localGoogleApiAvailability = GoogleApiAvailability.getInstance();
    FrameLayout localFrameLayout = paramFrameLayout;
    Context localContext = paramFrameLayout.getContext();
    int i = localGoogleApiAvailability.isGooglePlayServicesAvailable(localContext);
    String str1 = zzu.zzh(localContext, i);
    String str2 = zzu.zzj(localContext, i);
    LinearLayout localLinearLayout;
    (localLinearLayout = new LinearLayout(localFrameLayout.getContext())).setOrientation(1);
    localLinearLayout.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
    localFrameLayout.addView(localLinearLayout);
    TextView localTextView;
    (localTextView = new TextView(localFrameLayout.getContext())).setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
    localTextView.setText(str1);
    localLinearLayout.addView(localTextView);
    Intent localIntent;
    if ((localIntent = com.google.android.gms.common.zzf.zza(localContext, i, null)) != null)
    {
      Button localButton;
      (localButton = new Button(localContext)).setId(16908313);
      localButton.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
      localButton.setText(str2);
      localLinearLayout.addView(localButton);
      localButton.setOnClickListener(new zzf(localContext, localIntent));
    }
  }
  
  public final void onStart()
  {
    zza(null, new zzg(this));
  }
  
  public final void onResume()
  {
    zza(null, new zzh(this));
  }
  
  public final void onPause()
  {
    if (this.zzhcp != null)
    {
      this.zzhcp.onPause();
      return;
    }
    zzcz(5);
  }
  
  public final void onStop()
  {
    if (this.zzhcp != null)
    {
      this.zzhcp.onStop();
      return;
    }
    zzcz(4);
  }
  
  public final void onDestroyView()
  {
    if (this.zzhcp != null)
    {
      this.zzhcp.onDestroyView();
      return;
    }
    zzcz(2);
  }
  
  public final void onDestroy()
  {
    if (this.zzhcp != null)
    {
      this.zzhcp.onDestroy();
      return;
    }
    zzcz(1);
  }
  
  public final void onSaveInstanceState(Bundle paramBundle)
  {
    if (this.zzhcp != null)
    {
      this.zzhcp.onSaveInstanceState(paramBundle);
      return;
    }
    if (this.zzhcq != null) {
      paramBundle.putAll(this.zzhcq);
    }
  }
  
  public final void onLowMemory()
  {
    if (this.zzhcp != null) {
      this.zzhcp.onLowMemory();
    }
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\dynamic\zza.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */