package com.google.android.gms.phenotype;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.internal.zzbgl;
import com.google.android.gms.internal.zzbgo;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;

@KeepForSdk
public class Configuration
  extends zzbgl
  implements Comparable<Configuration>
{
  @KeepForSdk
  public static final Parcelable.Creator<Configuration> CREATOR = new zzc();
  private int zzkfq;
  private zzi[] zzkfr;
  private String[] zzkfs;
  private Map<String, zzi> zzfqk;
  
  public Configuration(int paramInt, zzi[] paramArrayOfzzi, String[] paramArrayOfString)
  {
    this.zzkfq = paramInt;
    this.zzkfr = paramArrayOfzzi;
    this.zzfqk = new TreeMap();
    zzi[] arrayOfzzi;
    int i = (arrayOfzzi = paramArrayOfzzi).length;
    for (int j = 0; j < i; j++)
    {
      zzi localzzi = arrayOfzzi[j];
      this.zzfqk.put(localzzi.name, localzzi);
    }
    this.zzkfs = paramArrayOfString;
    if (this.zzkfs != null) {
      Arrays.sort(this.zzkfs);
    }
  }
  
  public String toString()
  {
    StringBuilder localStringBuilder;
    (localStringBuilder = new StringBuilder("Configuration(")).append(this.zzkfq);
    localStringBuilder.append(", ");
    localStringBuilder.append("(");
    Object localObject = this.zzfqk.values().iterator();
    while (((Iterator)localObject).hasNext())
    {
      zzi localzzi = (zzi)((Iterator)localObject).next();
      localStringBuilder.append(localzzi);
      localStringBuilder.append(", ");
    }
    localStringBuilder.append(")");
    localStringBuilder.append(", ");
    localStringBuilder.append("(");
    if (this.zzkfs != null)
    {
      int i = (localObject = this.zzkfs).length;
      for (int j = 0; j < i; j++)
      {
        String str = localObject[j];
        localStringBuilder.append(str);
        localStringBuilder.append(", ");
      }
    }
    else
    {
      localStringBuilder.append("null");
    }
    localStringBuilder.append(")");
    localStringBuilder.append(")");
    return localStringBuilder.toString();
  }
  
  public boolean equals(Object paramObject)
  {
    if ((paramObject instanceof Configuration))
    {
      Configuration localConfiguration = (Configuration)paramObject;
      return (this.zzkfq == localConfiguration.zzkfq) && (zzn.equals(this.zzfqk, localConfiguration.zzfqk)) && (Arrays.equals(this.zzkfs, localConfiguration.zzkfs));
    }
    return false;
  }
  
  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    Parcel localParcel = paramParcel;
    Configuration localConfiguration = this;
    int i = zzbgo.zze(localParcel);
    zzbgo.zzc(localParcel, 2, localConfiguration.zzkfq);
    zzbgo.zza(localParcel, 3, localConfiguration.zzkfr, paramInt, false);
    zzbgo.zza(localParcel, 4, localConfiguration.zzkfs, false);
    zzbgo.zzai(localParcel, i);
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\phenotype\Configuration.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */