package com.google.firebase.messaging;

import android.annotation.TargetApi;
import android.app.ActivityManager;
import android.app.ActivityManager.RunningAppProcessInfo;
import android.app.KeyguardManager;
import android.app.Notification;
import android.app.Notification.BigTextStyle;
import android.app.Notification.Builder;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Resources;
import android.content.res.Resources.NotFoundException;
import android.graphics.Color;
import android.graphics.drawable.AdaptiveIconDrawable;
import android.media.RingtoneManager;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Parcelable;
import android.os.Process;
import android.os.SystemClock;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.NotificationCompat.BigTextStyle;
import android.support.v4.app.NotificationCompat.Builder;
import android.support.v4.content.ContextCompat;
import android.text.TextUtils;
import android.util.Log;
import com.google.android.gms.R.string;
import com.google.android.gms.common.util.zzs;
import com.google.firebase.iid.zzz;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.concurrent.atomic.AtomicInteger;

final class zza
{
  private static zza zzolt;
  private final Context mContext;
  private Bundle zzgco;
  private Method zzolu;
  private Method zzolv;
  private final AtomicInteger zzolw = new AtomicInteger((int)SystemClock.elapsedRealtime());
  
  static synchronized zza zzfc(Context paramContext)
  {
    if (zzolt == null) {
      zzolt = new zza(paramContext);
    }
    return zzolt;
  }
  
  static boolean zzai(Bundle paramBundle)
  {
    return ("1".equals(zzd(paramBundle, "gcm.n.e"))) || (zzd(paramBundle, "gcm.n.icon") != null);
  }
  
  static String zzd(Bundle paramBundle, String paramString)
  {
    String str;
    if ((str = paramBundle.getString(paramString)) == null) {
      str = paramBundle.getString(paramString.replace("gcm.n.", "gcm.notification."));
    }
    return str;
  }
  
  /* Error */
  static String zzh(Bundle arg0, String arg1)
  {
    // Byte code:
    //   0: aload_0
    //   1: aload_1
    //   2: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   5: ldc 30
    //   7: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   10: dup
    //   11: invokevirtual 260	java/lang/String:length	()I
    //   14: ifeq +9 -> 23
    //   17: invokevirtual 258	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   20: goto +12 -> 32
    //   23: pop
    //   24: new 126	java/lang/String
    //   27: dup_x1
    //   28: swap
    //   29: invokespecial 257	java/lang/String:<init>	(Ljava/lang/String;)V
    //   32: invokestatic 241	com/google/firebase/messaging/zza:zzd	(Landroid/os/Bundle;Ljava/lang/String;)Ljava/lang/String;
    //   35: areturn
  }
  
  /* Error */
  static Object[] zzi(Bundle arg0, String arg1)
  {
    // Byte code:
    //   0: aload_0
    //   1: aload_1
    //   2: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   5: ldc 29
    //   7: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   10: dup
    //   11: invokevirtual 260	java/lang/String:length	()I
    //   14: ifeq +9 -> 23
    //   17: invokevirtual 258	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   20: goto +12 -> 32
    //   23: pop
    //   24: new 126	java/lang/String
    //   27: dup_x1
    //   28: swap
    //   29: invokespecial 257	java/lang/String:<init>	(Ljava/lang/String;)V
    //   32: invokestatic 241	com/google/firebase/messaging/zza:zzd	(Landroid/os/Bundle;Ljava/lang/String;)Ljava/lang/String;
    //   35: dup
    //   36: astore_2
    //   37: invokestatic 223	android/text/TextUtils:isEmpty	(Ljava/lang/CharSequence;)Z
    //   40: ifeq +5 -> 45
    //   43: aconst_null
    //   44: areturn
    //   45: new 138	org/json/JSONArray
    //   48: dup
    //   49: aload_2
    //   50: invokespecial 275	org/json/JSONArray:<init>	(Ljava/lang/String;)V
    //   53: dup
    //   54: astore_3
    //   55: invokevirtual 276	org/json/JSONArray:length	()I
    //   58: anewarray 126	java/lang/String
    //   61: astore 4
    //   63: iconst_0
    //   64: istore 5
    //   66: iload 5
    //   68: aload 4
    //   70: arraylength
    //   71: if_icmpge +20 -> 91
    //   74: aload 4
    //   76: iload 5
    //   78: aload_3
    //   79: iload 5
    //   81: invokevirtual 277	org/json/JSONArray:opt	(I)Ljava/lang/Object;
    //   84: aastore
    //   85: iinc 5 1
    //   88: goto -22 -> 66
    //   91: aload 4
    //   93: areturn
    //   94: pop
    //   95: ldc 20
    //   97: aload_1
    //   98: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   101: ldc 29
    //   103: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   106: dup
    //   107: invokevirtual 260	java/lang/String:length	()I
    //   110: ifeq +9 -> 119
    //   113: invokevirtual 258	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   116: goto +12 -> 128
    //   119: pop
    //   120: new 126	java/lang/String
    //   123: dup_x1
    //   124: swap
    //   125: invokespecial 257	java/lang/String:<init>	(Ljava/lang/String;)V
    //   128: dup
    //   129: astore 6
    //   131: bipush 6
    //   133: invokevirtual 263	java/lang/String:substring	(I)Ljava/lang/String;
    //   136: astore 5
    //   138: bipush 41
    //   140: aload 5
    //   142: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   145: invokevirtual 260	java/lang/String:length	()I
    //   148: iadd
    //   149: aload_2
    //   150: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   153: invokevirtual 260	java/lang/String:length	()I
    //   156: iadd
    //   157: new 127	java/lang/StringBuilder
    //   160: dup_x1
    //   161: swap
    //   162: invokespecial 265	java/lang/StringBuilder:<init>	(I)V
    //   165: ldc 22
    //   167: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   170: aload 5
    //   172: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   175: ldc 14
    //   177: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   180: aload_2
    //   181: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   184: ldc 6
    //   186: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   189: invokevirtual 269	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   192: invokestatic 228	android/util/Log:w	(Ljava/lang/String;Ljava/lang/String;)I
    //   195: pop
    //   196: aconst_null
    //   197: areturn
    // Exception table:
    //   from	to	target	type
    //   45	93	94	org/json/JSONException
  }
  
  @Nullable
  static Uri zzaj(@NonNull Bundle paramBundle)
  {
    String str;
    if (TextUtils.isEmpty(str = zzd(paramBundle, "gcm.n.link_android"))) {
      str = zzd(paramBundle, "gcm.n.link");
    }
    if (!TextUtils.isEmpty(str)) {
      return Uri.parse(str);
    }
    return null;
  }
  
  private zza(Context paramContext)
  {
    this.mContext = paramContext.getApplicationContext();
  }
  
  final boolean zzt(Bundle paramBundle)
  {
    if ("1".equals(zzd(paramBundle, "gcm.n.noui"))) {
      return true;
    }
    zza localzza1 = this;
    if (!((KeyguardManager)this.mContext.getSystemService("keyguard")).inKeyguardRestrictedInputMode())
    {
      if (!zzs.zzanx()) {
        SystemClock.sleep(10L);
      }
      int i = Process.myPid();
      if ((localList1 = ((ActivityManager)localzza1.mContext.getSystemService("activity")).getRunningAppProcesses()) != null)
      {
        localObject4 = localList1.iterator();
        while (((Iterator)localObject4).hasNext()) {}
      }
    }
    if (((localObject5 = (ActivityManager.RunningAppProcessInfo)((Iterator)localObject4).next()).pid == i ? 0 : ((ActivityManager.RunningAppProcessInfo)localObject5).importance == 100 ? 1 : 0) != 0) {
      return false;
    }
    Object localObject1 = paramBundle;
    localzza1 = this;
    if (TextUtils.isEmpty(localObject2 = zzj((Bundle)localObject1, "gcm.n.title"))) {
      localObject2 = localzza1.mContext.getApplicationInfo().loadLabel(localzza1.mContext.getPackageManager());
    }
    Object localObject3 = localzza1.zzj((Bundle)localObject1, "gcm.n.body");
    Object localObject6 = zzd((Bundle)localObject1, "gcm.n.icon");
    zza localzza2 = localzza1;
    if (!TextUtils.isEmpty((CharSequence)localObject6))
    {
      Resources localResources;
      int j;
      Log.w("FirebaseMessaging", 61 + String.valueOf(localObject6).length() + "Icon resource " + (String)localObject6 + " not found. Notification will use default icon.");
    }
    List localList2;
    if (((localList2 = localzza2.zzawf().getInt("com.google.firebase.messaging.default_notification_icon", 0)) == 0) || (!localzza2.zzit(localList2))) {
      localList2 = localzza2.mContext.getApplicationInfo().icon;
    }
    if ((localList2 == 0) || (!localzza2.zzit(localList2))) {
      localList2 = 17301651;
    }
    List localList1 = ((j = localResources.getIdentifier((String)localObject6, "mipmap", localzza2.mContext.getPackageName())) != 0) && (localzza2.zzit(j)) ? j : ((j = (localResources = localzza2.mContext.getResources()).getIdentifier((String)localObject6, "drawable", localzza2.mContext.getPackageName())) != 0) && (localzza2.zzit(j)) ? j : localList2;
    Object localObject4 = localzza1.zzry(zzd((Bundle)localObject1, "gcm.n.color"));
    localObject6 = zzak((Bundle)localObject1);
    localzza2 = localzza1;
    Object localObject8 = localzza2.mContext.getPackageName();
    Object localObject5 = (!"default".equals(localObject6)) && (localzza2.mContext.getResources().getIdentifier((String)localObject6, "raw", localzza2.mContext.getPackageName()) != 0) ? Uri.parse(24 + String.valueOf(localObject8).length() + String.valueOf(localObject6).length() + "android.resource://" + (String)localObject8 + "/raw/" + (String)localObject6) : TextUtils.isEmpty((CharSequence)localObject6) ? null : RingtoneManager.getDefaultUri(2);
    PendingIntent localPendingIntent1 = localzza1.zzu((Bundle)localObject1);
    PendingIntent localPendingIntent2 = null;
    if (FirebaseMessagingService.zzal((Bundle)localObject1))
    {
      localObject7 = localPendingIntent1;
      localObject6 = localObject1;
      localzza2 = localzza1;
      Intent localIntent;
      zza(localIntent = new Intent("com.google.firebase.messaging.NOTIFICATION_OPEN"), (Bundle)localObject6);
      localIntent.putExtra("pending_intent", (Parcelable)localObject7);
      localPendingIntent1 = zzz.zza(localzza2.mContext, localzza2.zzolw.incrementAndGet(), localIntent, 1073741824);
      localObject6 = localObject1;
      localzza2 = localzza1;
      zza(localObject7 = new Intent("com.google.firebase.messaging.NOTIFICATION_DISMISS"), (Bundle)localObject6);
      localPendingIntent2 = zzz.zza(localzza2.mContext, localzza2.zzolw.incrementAndGet(), (Intent)localObject7, 1073741824);
    }
    String str = localzza1.zzrz(zzd((Bundle)localObject1, "gcm.n.android_channel_id"));
    PendingIntent localPendingIntent4 = localPendingIntent2;
    PendingIntent localPendingIntent3 = localPendingIntent1;
    Object localObject9 = localObject5;
    localObject8 = localObject4;
    int k = localList1;
    Object localObject7 = localObject3;
    localObject6 = localObject2;
    localzza2 = localzza1;
    NotificationCompat.Builder localBuilder = new NotificationCompat.Builder(localzza2.mContext).setAutoCancel(true).setSmallIcon(k);
    if (!TextUtils.isEmpty((CharSequence)localObject6)) {
      localBuilder.setContentTitle((CharSequence)localObject6);
    }
    if (!TextUtils.isEmpty((CharSequence)localObject7))
    {
      localBuilder.setContentText((CharSequence)localObject7);
      localBuilder.setStyle(new NotificationCompat.BigTextStyle().bigText((CharSequence)localObject7));
    }
    if (localObject8 != null) {
      localBuilder.setColor(((Integer)localObject8).intValue());
    }
    if (localObject9 != null) {
      localBuilder.setSound((Uri)localObject9);
    }
    if (localPendingIntent3 != null) {
      localBuilder.setContentIntent(localPendingIntent3);
    }
    if (localPendingIntent4 != null) {
      localBuilder.setDeleteIntent(localPendingIntent4);
    }
    Notification localNotification = (zzs.isAtLeastO()) && (localzza1.mContext.getApplicationInfo().targetSdkVersion > 25) ? localzza1.zza((CharSequence)localObject2, (String)localObject3, localList1, (Integer)localObject4, (Uri)localObject5, localPendingIntent1, localPendingIntent2, str) : localBuilder.build();
    Object localObject2 = localNotification;
    localObject1 = zzd(paramBundle, "gcm.n.tag");
    localzza1 = this;
    if (Log.isLoggable("FirebaseMessaging", 3)) {
      Log.d("FirebaseMessaging", "Showing notification");
    }
    localObject3 = (NotificationManager)localzza1.mContext.getSystemService("notification");
    if (TextUtils.isEmpty((CharSequence)localObject1))
    {
      long l = SystemClock.uptimeMillis();
      localObject1 = 37 + "FCM-Notification:" + l;
    }
    ((NotificationManager)localObject3).notify((String)localObject1, 0, (Notification)localObject2);
    return true;
  }
  
  @TargetApi(26)
  private final Notification zza(CharSequence paramCharSequence, String paramString1, int paramInt, Integer paramInteger, Uri paramUri, PendingIntent paramPendingIntent1, PendingIntent paramPendingIntent2, String paramString2)
  {
    Notification.Builder localBuilder = new Notification.Builder(this.mContext).setAutoCancel(true).setSmallIcon(paramInt);
    if (!TextUtils.isEmpty(paramCharSequence)) {
      localBuilder.setContentTitle(paramCharSequence);
    }
    if (!TextUtils.isEmpty(paramString1))
    {
      localBuilder.setContentText(paramString1);
      localBuilder.setStyle(new Notification.BigTextStyle().bigText(paramString1));
    }
    if (paramInteger != null) {
      localBuilder.setColor(paramInteger.intValue());
    }
    if (paramUri != null) {
      localBuilder.setSound(paramUri);
    }
    if (paramPendingIntent1 != null) {
      localBuilder.setContentIntent(paramPendingIntent1);
    }
    if (paramPendingIntent2 != null) {
      localBuilder.setDeleteIntent(paramPendingIntent2);
    }
    if (paramString2 != null)
    {
      if (this.zzolu == null) {
        this.zzolu = zzrx("setChannelId");
      }
      if (this.zzolu == null) {
        this.zzolu = zzrx("setChannel");
      }
      if (this.zzolu == null) {
        Log.e("FirebaseMessaging", "Error while setting the notification channel");
      } else {
        try
        {
          this.zzolu.invoke(localBuilder, new Object[] { paramString2 });
        }
        catch (IllegalAccessException localIllegalAccessException)
        {
          Log.e("FirebaseMessaging", "Error while setting the notification channel", localIllegalAccessException);
        }
        catch (InvocationTargetException localInvocationTargetException)
        {
          Log.e("FirebaseMessaging", "Error while setting the notification channel", localInvocationTargetException);
        }
        catch (SecurityException localSecurityException)
        {
          Log.e("FirebaseMessaging", "Error while setting the notification channel", localSecurityException);
        }
        catch (IllegalArgumentException localIllegalArgumentException)
        {
          Log.e("FirebaseMessaging", "Error while setting the notification channel", localIllegalArgumentException);
        }
      }
    }
    return localBuilder.build();
  }
  
  @TargetApi(26)
  private static Method zzrx(String paramString)
  {
    try
    {
      return Notification.Builder.class.getMethod(paramString, new Class[] { String.class });
    }
    catch (NoSuchMethodException localNoSuchMethodException) {}catch (SecurityException localSecurityException) {}
    return null;
  }
  
  /* Error */
  private final String zzj(Bundle arg1, String arg2)
  {
    // Byte code:
    //   0: aload_1
    //   1: aload_2
    //   2: invokestatic 241	com/google/firebase/messaging/zza:zzd	(Landroid/os/Bundle;Ljava/lang/String;)Ljava/lang/String;
    //   5: dup
    //   6: astore_3
    //   7: invokestatic 223	android/text/TextUtils:isEmpty	(Ljava/lang/CharSequence;)Z
    //   10: ifne +5 -> 15
    //   13: aload_3
    //   14: areturn
    //   15: aload_1
    //   16: aload_2
    //   17: invokestatic 242	com/google/firebase/messaging/zza:zzh	(Landroid/os/Bundle;Ljava/lang/String;)Ljava/lang/String;
    //   20: dup
    //   21: astore 4
    //   23: invokestatic 223	android/text/TextUtils:isEmpty	(Ljava/lang/CharSequence;)Z
    //   26: ifeq +5 -> 31
    //   29: aconst_null
    //   30: areturn
    //   31: aload_0
    //   32: getfield 150	com/google/firebase/messaging/zza:mContext	Landroid/content/Context;
    //   35: invokevirtual 178	android/content/Context:getResources	()Landroid/content/res/Resources;
    //   38: dup
    //   39: astore 5
    //   41: aload 4
    //   43: ldc 69
    //   45: aload_0
    //   46: getfield 150	com/google/firebase/messaging/zza:mContext	Landroid/content/Context;
    //   49: invokevirtual 177	android/content/Context:getPackageName	()Ljava/lang/String;
    //   52: invokevirtual 195	android/content/res/Resources:getIdentifier	(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)I
    //   55: dup
    //   56: istore 6
    //   58: ifne +103 -> 161
    //   61: ldc 20
    //   63: aload_2
    //   64: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   67: ldc 30
    //   69: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   72: dup
    //   73: invokevirtual 260	java/lang/String:length	()I
    //   76: ifeq +9 -> 85
    //   79: invokevirtual 258	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   82: goto +12 -> 94
    //   85: pop
    //   86: new 126	java/lang/String
    //   89: dup_x1
    //   90: swap
    //   91: invokespecial 257	java/lang/String:<init>	(Ljava/lang/String;)V
    //   94: dup
    //   95: astore 10
    //   97: bipush 6
    //   99: invokevirtual 263	java/lang/String:substring	(I)Ljava/lang/String;
    //   102: astore 7
    //   104: bipush 49
    //   106: aload 7
    //   108: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   111: invokevirtual 260	java/lang/String:length	()I
    //   114: iadd
    //   115: aload 4
    //   117: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   120: invokevirtual 260	java/lang/String:length	()I
    //   123: iadd
    //   124: new 127	java/lang/StringBuilder
    //   127: dup_x1
    //   128: swap
    //   129: invokespecial 265	java/lang/StringBuilder:<init>	(I)V
    //   132: aload 7
    //   134: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   137: ldc 10
    //   139: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   142: aload 4
    //   144: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   147: ldc 7
    //   149: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   152: invokevirtual 269	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   155: invokestatic 228	android/util/Log:w	(Ljava/lang/String;Ljava/lang/String;)I
    //   158: pop
    //   159: aconst_null
    //   160: areturn
    //   161: aload_1
    //   162: aload_2
    //   163: invokestatic 243	com/google/firebase/messaging/zza:zzi	(Landroid/os/Bundle;Ljava/lang/String;)[Ljava/lang/Object;
    //   166: dup
    //   167: astore 7
    //   169: ifnonnull +11 -> 180
    //   172: aload 5
    //   174: iload 6
    //   176: invokevirtual 196	android/content/res/Resources:getString	(I)Ljava/lang/String;
    //   179: areturn
    //   180: aload 5
    //   182: iload 6
    //   184: aload 7
    //   186: invokevirtual 197	android/content/res/Resources:getString	(I[Ljava/lang/Object;)Ljava/lang/String;
    //   189: areturn
    //   190: astore 8
    //   192: ldc 20
    //   194: aload 7
    //   196: invokestatic 272	java/util/Arrays:toString	([Ljava/lang/Object;)Ljava/lang/String;
    //   199: astore 9
    //   201: bipush 58
    //   203: aload 4
    //   205: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   208: invokevirtual 260	java/lang/String:length	()I
    //   211: iadd
    //   212: aload 9
    //   214: invokestatic 264	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   217: invokevirtual 260	java/lang/String:length	()I
    //   220: iadd
    //   221: new 127	java/lang/StringBuilder
    //   224: dup_x1
    //   225: swap
    //   226: invokespecial 265	java/lang/StringBuilder:<init>	(I)V
    //   229: ldc 24
    //   231: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   234: aload 4
    //   236: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   239: ldc 14
    //   241: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   244: aload 9
    //   246: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   249: ldc 7
    //   251: invokevirtual 268	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   254: invokevirtual 269	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   257: aload 8
    //   259: invokestatic 229	android/util/Log:w	(Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)I
    //   262: pop
    //   263: aconst_null
    //   264: areturn
    // Exception table:
    //   from	to	target	type
    //   180	189	190	java/util/MissingFormatArgumentException
  }
  
  @TargetApi(26)
  private final boolean zzit(int paramInt)
  {
    if (Build.VERSION.SDK_INT != 26) {
      return true;
    }
    try
    {
      if ((this.mContext.getResources().getDrawable(paramInt, null) instanceof AdaptiveIconDrawable))
      {
        Log.e("FirebaseMessaging", 77 + "Adaptive icons cannot be used in notifications. Ignoring icon id: " + paramInt);
        return false;
      }
      return true;
    }
    catch (Resources.NotFoundException localNotFoundException) {}
    return false;
  }
  
  private final Integer zzry(String paramString)
  {
    if (Build.VERSION.SDK_INT < 21) {
      return null;
    }
    if (!TextUtils.isEmpty(paramString)) {
      try
      {
        return Integer.valueOf(Color.parseColor(paramString));
      }
      catch (IllegalArgumentException localIllegalArgumentException)
      {
        Log.w("FirebaseMessaging", 54 + String.valueOf(paramString).length() + "Color " + paramString + " not valid. Notification will use default color.");
      }
    }
    int i;
    if ((i = zzawf().getInt("com.google.firebase.messaging.default_notification_color", 0)) != 0) {
      try
      {
        return Integer.valueOf(ContextCompat.getColor(this.mContext, i));
      }
      catch (Resources.NotFoundException localNotFoundException)
      {
        Log.w("FirebaseMessaging", "Cannot find the color resource referenced in AndroidManifest.");
      }
    }
    return null;
  }
  
  @TargetApi(26)
  private final String zzrz(String paramString)
  {
    if (!zzs.isAtLeastO()) {
      return null;
    }
    NotificationManager localNotificationManager = (NotificationManager)this.mContext.getSystemService(NotificationManager.class);
    try
    {
      if (this.zzolv == null) {
        this.zzolv = localNotificationManager.getClass().getMethod("getNotificationChannel", new Class[] { String.class });
      }
      if (!TextUtils.isEmpty(paramString))
      {
        if (this.zzolv.invoke(localNotificationManager, new Object[] { paramString }) != null) {
          return paramString;
        }
        Log.w("FirebaseMessaging", 122 + String.valueOf(paramString).length() + "Notification Channel requested (" + paramString + ") has not been created by the app. Manifest configuration, or default, value will be used.");
      }
      String str;
      if (!TextUtils.isEmpty(str = zzawf().getString("com.google.firebase.messaging.default_notification_channel_id")))
      {
        if (this.zzolv.invoke(localNotificationManager, new Object[] { str }) != null) {
          return str;
        }
        Log.w("FirebaseMessaging", "Notification Channel set in AndroidManifest.xml has not been created by the app. Default value will be used.");
      }
      else
      {
        Log.w("FirebaseMessaging", "Missing Default Notification Channel metadata in AndroidManifest. Default value will be used.");
      }
      if (this.zzolv.invoke(localNotificationManager, new Object[] { "fcm_fallback_notification_channel" }) == null)
      {
        Class localClass;
        Object localObject = (localClass = Class.forName("android.app.NotificationChannel")).getConstructor(new Class[] { String.class, CharSequence.class, Integer.TYPE }).newInstance(new Object[] { "fcm_fallback_notification_channel", this.mContext.getString(R.string.fcm_fallback_notification_channel_label), Integer.valueOf(3) });
        localNotificationManager.getClass().getMethod("createNotificationChannel", new Class[] { localClass }).invoke(localNotificationManager, new Object[] { localObject });
      }
      return "fcm_fallback_notification_channel";
    }
    catch (InstantiationException localInstantiationException)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localInstantiationException);
    }
    catch (InvocationTargetException localInvocationTargetException)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localInvocationTargetException);
    }
    catch (NoSuchMethodException localNoSuchMethodException)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localNoSuchMethodException);
    }
    catch (IllegalAccessException localIllegalAccessException)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localIllegalAccessException);
    }
    catch (ClassNotFoundException localClassNotFoundException)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localClassNotFoundException);
    }
    catch (SecurityException localSecurityException)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localSecurityException);
    }
    catch (IllegalArgumentException localIllegalArgumentException)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localIllegalArgumentException);
    }
    catch (LinkageError localLinkageError)
    {
      Log.e("FirebaseMessaging", "Error while setting the notification channel", localLinkageError);
    }
    return null;
  }
  
  static String zzak(Bundle paramBundle)
  {
    String str;
    if (TextUtils.isEmpty(str = zzd(paramBundle, "gcm.n.sound2"))) {
      str = zzd(paramBundle, "gcm.n.sound");
    }
    return str;
  }
  
  private final PendingIntent zzu(Bundle paramBundle)
  {
    Bundle localBundle = paramBundle;
    zza localzza = this;
    String str2;
    Object localObject;
    (localObject = new Intent(str2)).setPackage(localzza.mContext.getPackageName());
    ((Intent)localObject).setFlags(268435456);
    Intent localIntent2;
    (localIntent2 = new Intent("android.intent.action.VIEW")).setPackage(localzza.mContext.getPackageName());
    localIntent2.setData((Uri)localObject);
    Intent localIntent3;
    if ((localIntent3 = localzza.mContext.getPackageManager().getLaunchIntentForPackage(localzza.mContext.getPackageName())) == null) {
      Log.w("FirebaseMessaging", "No activity found to launch app");
    }
    Intent localIntent1;
    if ((localIntent1 = (localObject = zzaj(localBundle)) != null ? localIntent2 : !TextUtils.isEmpty(str2 = zzd(localBundle, "gcm.n.click_action")) ? localObject : localIntent3) == null) {
      return null;
    }
    localIntent1.addFlags(67108864);
    FirebaseMessagingService.zzr(paramBundle = new Bundle(paramBundle));
    localIntent1.putExtras(paramBundle);
    Iterator localIterator = paramBundle.keySet().iterator();
    while (localIterator.hasNext())
    {
      String str1;
      if (((str1 = (String)localIterator.next()).startsWith("gcm.n.")) || (str1.startsWith("gcm.notification."))) {
        localIntent1.removeExtra(str1);
      }
    }
    return PendingIntent.getActivity(this.mContext, this.zzolw.incrementAndGet(), localIntent1, 1073741824);
  }
  
  private static void zza(Intent paramIntent, Bundle paramBundle)
  {
    Iterator localIterator = paramBundle.keySet().iterator();
    while (localIterator.hasNext())
    {
      String str;
      if (((str = (String)localIterator.next()).startsWith("google.c.a.")) || (str.equals("from"))) {
        paramIntent.putExtra(str, paramBundle.getString(str));
      }
    }
  }
  
  private final Bundle zzawf()
  {
    if (this.zzgco != null) {
      return this.zzgco;
    }
    ApplicationInfo localApplicationInfo = null;
    try
    {
      localApplicationInfo = this.mContext.getPackageManager().getApplicationInfo(this.mContext.getPackageName(), 128);
    }
    catch (PackageManager.NameNotFoundException localNameNotFoundException) {}
    if ((localApplicationInfo != null) && (localApplicationInfo.metaData != null))
    {
      this.zzgco = localApplicationInfo.metaData;
      return this.zzgco;
    }
    return Bundle.EMPTY;
  }
}


/* Location:              C:\Users\nsubhash\AppData\Local\Temp\classes.jar!\com\google\firebase\messaging\zza.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */